Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class MixinInMetaClass

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap
              org.codehaus.groovy.util.ManagedConcurrentMap
                  org.codehaus.groovy.reflection.MixinInMetaClass

    public class MixinInMetaClass
    extends ManagedConcurrentMap

Field Summary

Fields inherited from class ManagedConcurrentMap
bundle

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`CachedClass` | `getInstanceClass()`
`CachedClass` | `getMixinClass()`
`java.lang.Object` | `getMixinInstance(java.lang.Object object)`
`int` | `hashCode()`
`static void` | `mixinClassesToMetaClass(MetaClass self, java.util.List categoryClasses)`
`void` | `setMixinInstance(java.lang.Object object, java.lang.Object mixinInstance)`

Methods inherited from class ManagedConcurrentMap
createSegment

Methods inherited from class AbstractConcurrentMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MixinInMetaClass

    public MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getInstanceClass

    public CachedClass getInstanceClass()

### getMixinClass

    public CachedClass getMixinClass()

### getMixinInstance

    public java.lang.Object getMixinInstance(java.lang.Object object)

### hashCode

    public int hashCode()

### mixinClassesToMetaClass

    public static void mixinClassesToMetaClass(MetaClass self, java.util.List categoryClasses)

### setMixinInstance

    public void setMixinInstance(java.lang.Object object, java.lang.Object mixinInstance)

Groovy Documentation